﻿using System.ComponentModel;
using System.Windows;
using System.Windows.Media;

namespace Spectrum
{
    public class ViewModel : INotifyPropertyChanged
    {
        private PointCollection _polygonPoints;

        public event PropertyChangedEventHandler PropertyChanged;

        public PointCollection PolygonPoints
        {
            get => _polygonPoints;
            set
            {
                _polygonPoints = value;
                OnPropertyChanged(nameof(PolygonPoints));
            }
        }

        public ViewModel()
        {
            // Define a sample polygon
            PolygonPoints = new PointCollection
            {
                new Point(0, 0),
                new Point(100, 0),
                new Point(100, 100),
                new Point(80, 50),
                new Point(75, 60),
                new Point(50, 75),
                new Point(25, 25),
                new Point(10, 35)
            };
        }

        protected virtual void OnPropertyChanged(string propertyName)
        {
            PropertyChanged?.Invoke(this, new PropertyChangedEventArgs(propertyName));
        }
    }
}
